#
# spec file for package kdeutils4 (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdeutils4
BuildRequires:  gmp-devel kdebase4-workspace-devel libqimageblitz-devel net-snmp-devel pcsc-lite python-devel
BuildRequires:  libkdepimlibs4-devel libkonq-devel libqca2-devel libzip-devel oxygen-icon-theme
BuildRequires:  libknotificationitem-devel
%if %suse_version > 1110
BuildRequires:  xz-devel
%else
%if %suse_version > 1030
BuildRequires:  lzma-devel
%endif
%endif
%if %suse_version > 1020
BuildRequires:  libarchive-devel
%endif
BuildRequires:  python-cups
%define with_python 1
%if %with_python
BuildRequires:  python-kde4-devel
%endif
License:        GPLv2+
Group:          Productivity/Other
Summary:        Base Package of KDE Utility Programs
Url:            http://www.kde.org
Version:        4.3.5
Release:        0.1.1
Source0:        kdeutils-%version.tar.bz2
Patch:          4_3_BRANCH.diff
Patch1:         desktop-files.diff
Patch2:         kgpg-autostart.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires
Suggests:       ark
Suggests:       kcalc
Suggests:       kcharselect
Suggests:       kdessh
Suggests:       kdf
Suggests:       kfloppy
Suggests:       kgpg
Suggests:       ktimer
Suggests:       kwalletmanager
Suggests:       kwikdisk
Suggests:       sweeper
Suggests:       okteta
Suggests:       superkaramba
%if %with_python
Suggests:       kde4-printer-applet
%endif
Suggests:       kdelirc

%description
This package suggest all KDE utility programs which are created from
this module.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdeutils-%version
%patch
%patch1
%patch2

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  for i in {16,22,32,48,64,128}; do
     mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/"$i"x"$i"/apps
     cp /usr/share/icons/oxygen/"$i"x"$i"/apps/utilities-file-archiver.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/"$i"x"$i"/apps/
     cp $RPM_BUILD_ROOT/usr/share/icons/oxygen/"$i"x"$i"/devices/infrared-remote.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/"$i"x"$i"/apps/;
  done
  %create_subdir_filelist -d ark
  %create_subdir_filelist -d kcalc
  %create_subdir_filelist -d kcharselect
  %create_subdir_filelist -d kdessh
  %create_subdir_filelist -d kdf
  %create_subdir_filelist -d kfloppy
  %create_subdir_filelist -d kgpg
  %create_subdir_filelist -d okteta
  %create_subdir_filelist -d ktimer
  %create_subdir_filelist -d kwallet
  %create_subdir_filelist -d superkaramba
  %create_subdir_filelist -d sweeper
  %create_subdir_filelist -d kdelirc
%if %with_python
  %create_subdir_filelist -d printer-applet
%endif
  cd ..
  %create_exclude_filelist
  %suse_update_desktop_file -r superkaramba System Applet
  %suse_update_desktop_file KCharSelect Utility Accessibility
  %suse_update_desktop_file ktimer      Utility TimeUtility
  %suse_update_desktop_file kwikdisk    System  Applet
  %suse_update_desktop_file kdf         System  Filesystem
  %suse_update_desktop_file ark         System  Archiving
  %suse_update_desktop_file kcalc       Utility Calculator
  %suse_update_desktop_file kgpg        Utility Security
  %suse_update_desktop_file kwalletmanager Applet
  %suse_update_desktop_file sweeper     Utility Security
  %suse_update_desktop_file okteta      Utility Editor
  %suse_update_desktop_file KFloppy     System  Filesystem
  %suse_update_desktop_file irkick      Applet
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf filelists

%package -n ark
License:        GPLv2+
Group:          Productivity/Archiving/Compression
Summary:        KDE Archiver Tool
Provides:       kde4-ark = 4.3.0
Obsoletes:      kde4-ark < 4.3.0
%kde4_runtime_requires
Provides:       kdeutils3 = 3.5.1
Obsoletes:      kdeutils3 <= 3.5.1

%description -n ark
This is a KDE application to work with compressed archives.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n ark -p /sbin/ldconfig

%postun -n ark -p /sbin/ldconfig

%files -n ark -f filelists/ark
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README
%_kde4_iconsdir/hicolor/*/apps/utilities-file-archiver.*

%package -n kcalc
License:        GPLv2+
Group:          Productivity/Scientific/Math
Summary:        Scientific Calculator
Provides:       kde4-kcalc = 4.3.0
Obsoletes:      kde4-kcalc < 4.3.0
%kde4_runtime_requires
Provides:       kdeutils3:/opt/kde3/bin/kcalc

%description -n kcalc
KCalc is the KDE calculator tool.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kcalc -p /sbin/ldconfig

%postun -n kcalc -p /sbin/ldconfig

%files -n kcalc -f filelists/kcalc
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README

%package -n kcharselect
License:        GPLv2+
Group:          Productivity/Other
Summary:        KDE Character Selector
Provides:       kde4-kcharselect = 4.3.0
Obsoletes:      kde4-kcharselect < 4.3.0
%kde4_runtime_requires

%description -n kcharselect
KCharSelect is the KDE character selector tool.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kcharselect -p /sbin/ldconfig

%postun -n kcharselect -p /sbin/ldconfig

%files -n kcharselect -f filelists/kcharselect
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README

%package -n kdessh
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        Remote Application Executor
%kde4_runtime_requires
Provides:       kde4-kdessh = 4.3.0
Obsoletes:      kde4-kdessh < 4.3.0
Provides:       kdeutils3:/opt/kde3/bin/kdessh

%description -n kdessh
Runs a program on a remote host



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kdessh -p /sbin/ldconfig

%postun -n kdessh -p /sbin/ldconfig

%files -n kdessh -f filelists/kdessh
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README

%package -n kdf
License:        GPLv2+
Group:          System/Monitoring
Summary:        Disk Usage Viewer
Provides:       kde4-kdf = 4.3.0
Obsoletes:      kde4-kdf < 4.3.0
%kde4_runtime_requires
Provides:       kdeutils3:/opt/kde3/bin/kdf

%description -n kdf
KDE free disk space utility



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kdf -p /sbin/ldconfig

%postun -n kdf -p /sbin/ldconfig

%files -n kdf -f filelists/kdf
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README
%exclude %_kde4_bindir/kwikdisk
%exclude %_kde4_applicationsdir/kwikdisk.desktop
%exclude %_kde4_iconsdir/hicolor/*/apps/kwikdisk.*

%package -n kfloppy
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        Floppy Formatter
Provides:       kde4-kfloppy = 4.3.0
Obsoletes:      kde4-kfloppy < 4.3.0
%kde4_runtime_requires
Provides:       kdeutils3:/opt/kde3/bin/kfloppy

%description -n kfloppy
KDE Floppy Disk Utility



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kfloppy -p /sbin/ldconfig

%postun -n kfloppy -p /sbin/ldconfig

%files -n kfloppy -f filelists/kfloppy
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README

%package -n kgpg
License:        GPLv2+
Group:          Productivity/Security
Summary:        Encryption Tool
Provides:       kde4-kgpg = 4.3.0
Obsoletes:      kde4-kgpg < 4.3.0
%kde4_runtime_requires
Provides:       kdeutils3:/opt/kde3/bin/kgpg

%description -n kgpg
Kgpg is a simple GUI for gpg



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kgpg -p /sbin/ldconfig

%postun -n kgpg -p /sbin/ldconfig

%files -n kgpg -f filelists/kgpg
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README

%package -n ktimer
License:        GPLv2+
Group:          Productivity/Other
Summary:        Countdown Launcher
Provides:       kde4-ktimer = 4.3.0
Obsoletes:      kde4-ktimer < 4.3.0
%kde4_runtime_requires

%description -n ktimer
Countdown launching tool for KDE



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n ktimer -p /sbin/ldconfig

%postun -n ktimer -p /sbin/ldconfig

%files -n ktimer -f filelists/ktimer
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README

%package -n kwalletmanager
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        Wallet Management Tool
Provides:       kde4-kwalletmanager = 4.3.0
Obsoletes:      kde4-kwalletmanager < 4.3.0
%kde4_runtime_requires
Provides:       kdeutils3:/opt/kde3/bin/kwalletmanager

%description -n kwalletmanager
This application allows you to manage your KDE password wallet.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kwalletmanager -p /sbin/ldconfig

%postun -n kwalletmanager -p /sbin/ldconfig

%files -n kwalletmanager -f filelists/kwallet
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README
%dir %_kde4_appsdir/kwalletmanager
%dir %_kde4_appsdir/kwalletmanager/icons
%dir %_kde4_appsdir/kwalletmanager/icons/oxygen
%dir %_kde4_appsdir/kwalletmanager/icons/oxygen/22x22
%dir %_kde4_appsdir/kwalletmanager/icons/oxygen/22x22/actions

%package -n kwikdisk
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        Removable Media Utility
Provides:       kde4-kwikdisk = 4.3.0
Obsoletes:      kde4-kwikdisk < 4.3.0
%kde4_runtime_requires
Provides:       kdeutils3:/opt/kde3/bin/kwikdisk

%description -n kwikdisk
This utility allows you to manage removable media.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kwikdisk -p /sbin/ldconfig

%postun -n kwikdisk -p /sbin/ldconfig

%files -n kwikdisk
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README
%_kde4_bindir/kwikdisk
%_kde4_applicationsdir/kwikdisk.desktop
%_kde4_iconsdir/hicolor/*/apps/kwikdisk.*

%package -n sweeper
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE Privacy Utility
Provides:       kde4-sweeper = 4.3.0
Obsoletes:      kde4-sweeper < 4.3.0
%kde4_runtime_requires

%description -n sweeper
Helps clean unwanted traces the user leaves on the system.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n sweeper -p /sbin/ldconfig

%postun -n sweeper -p /sbin/ldconfig

%files -n sweeper -f filelists/sweeper
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README

%package -n okteta
License:        GPLv2+
Group:          Development/Tools/Other
Summary:        Hex Editor
Provides:       kde4-okteta = 4.0.81
Obsoletes:      kde4-okteta <= 4.0.81
%kde4_runtime_requires

%description -n okteta
Okteta is a hex editor for the KDE desktop.



Authors:
--------
    Friedrich W. H. Kossebau <kossebau@kde.org>

%post -n okteta -p /sbin/ldconfig

%postun -n okteta -p /sbin/ldconfig

%files -n okteta -f filelists/okteta
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README
%dir %_kde4_appsdir/oktetapart

%package -n superkaramba
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        Desktop Widgets
Provides:       kde4-superkaramba = 4.3.0
Obsoletes:      kde4-superkaramba < 4.3.0
%kde4_runtime_requires

%description -n superkaramba
Superkaramba allows you to have (interactive) desktop widgets shown on
your desktop.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n superkaramba -p /sbin/ldconfig

%postun -n superkaramba -p /sbin/ldconfig

%files -n superkaramba -f filelists/superkaramba
%defattr(-,root,root)
%config %_kde_config_dir/superkaramba.knsrc
%if %with_python

%package -n kde4-printer-applet
License:        GPLv2+
Group:          Productivity/Other
Summary:        System tray utility to show current print jobs
%kde4_runtime_requires
Requires:       python-kde4 python-cups

%description -n kde4-printer-applet
This package contains a system tray utility to show current print jobs.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kde4-printer-applet -p /sbin/ldconfig

%postun -n kde4-printer-applet -p /sbin/ldconfig

%files -n kde4-printer-applet -f filelists/printer-applet
%defattr(-,root,root)
#%config %_kde_config_dir/printer-applet.knsrc
%endif

%package -n kdelirc
License:        GPLv2+
Group:          Productivity/Other
Summary:        Frontend for the Linux Infrared Remote Control system
%kde4_runtime_requires

%description -n kdelirc
KDELIRC is a KDE frontend for the Linux Infrared Remote Control system.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kdelirc -p /sbin/ldconfig

%postun -n kdelirc -p /sbin/ldconfig

%files -n kdelirc -f filelists/kdelirc
%defattr(-,root,root)
%doc %lang(en) %_kde4_htmldir/en/kcmlirc
%doc %lang(en) %_kde4_htmldir/en/irkick
%dir %_kde4_iconsdir/oxygen/8x8/devices
%dir %_kde4_iconsdir/oxygen/42x42
%dir %_kde4_iconsdir/oxygen/42x42/devices
%dir %_kde4_appsdir/irkick
%dir %_kde4_appsdir/profiles
%dir %_kde4_appsdir/remotes
%_kde4_iconsdir/hicolor/*/apps/infrared-remote.*

%files -f filelists/exclude
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README
%doc %lang(en) %_kde4_htmldir/en/kcontrol/blockdevices

%changelog
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: okteta, kgpg, kwallet, kdelirc, ark fixes
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Tue Aug 18 2009 beineri@opensuse.org
- fix irkick menu entry icon
* Sun Aug 16 2009 beineri@opensuse.org
- move superkaramba menu entry to System/Desktop Applet/
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Thu Jul  9 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Fri Mar 27 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Wed Feb 18 2009 dmueller@suse.de
- update branch diff
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Wed Jan 14 2009 dmueller@suse.de
- update to 4.1.96
* Fri Jan  9 2009 dmueller@suse.de
- update to KDE 4.1.87 (KDE 4.2 Januar snapshot)
* Tue Dec 16 2008 stbinner@suse.de
- versionized split-provides are not supported
* Thu Nov 20 2008 stbinner@suse.de
- add SLE provides/obsoletes
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Mon Oct 20 2008 stbinner@suse.de
- fix build on s390/s390x
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Tue Aug 19 2008 stbinner@suse.de
- branch diff update (many ark bug fixes)
* Thu Jul 31 2008 dmueller@suse.de
- branch diff update
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Fri Jul  4 2008 dmueller@suse.de
- update to 4.0.85
* Tue Jul  1 2008 stbinner@suse.de
- fix build
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Wed Jun  4 2008 dmueller@suse.de
- Fix build
* Tue Jun  3 2008 wstephenson@suse.de
- Fix handling of numbers in some locales (bnc#396482)
* Tue May 27 2008 stbinner@suse.de
- fix menu entry for sweeper (bnc#394348)
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://www.kde.org/announcements/changelogs/changelog4_0_3to4_0_4.php
* Fri Apr 25 2008 dmueller@suse.de
- fix filelist
* Mon Apr  7 2008 dmueller@suse.de
- build ark against libzip
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Tue Mar 11 2008 dmueller@suse.de
- 4_0_BRANCH.diff update
  * various bugfixes, translation update
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Fri Feb 15 2008 dmueller@suse.de
- update 4_0_BRANCH.diff
* Sun Feb  3 2008 stbinner@suse.de
- update to 4.0.1
* Sun Jan 20 2008 stbinner@suse.de
- update KDE_4_0_BRANCH.diff
* Sat Jan  5 2008 dmueller@suse.de
- update to 4.0
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Wed Nov  7 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Thu Nov  1 2007 dmueller@suse.de
- fix free() call
* Fri Oct 26 2007 dmueller@suse.de
- update to KDE 4.0 beta4
* Thu Oct 18 2007 dmueller@suse.de
- update to 3.94.1
* Thu Oct 11 2007 dmueller@suse.de
- update to KDE 4.0 Beta3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720587
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717255
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712063
* Sat Sep  1 2007 stbinner@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703919
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700769
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697375
* Sun Jul 29 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Wed Jul 18 2007 dmueller@suse.de
- remove xmms-devel
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn685971
* Wed Jun 27 2007 stbinner@suse.de
- fix build in beta
* Tue Jun 26 2007 dmueller@suse.de
- fix file conflicts
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn679151
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Mon Jun  4 2007 stbinner@suse.de
- fix build
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668119
* Sat May 12 2007 schwab@suse.de
- Fix dependencies.
* Sat May 12 2007 stbinner@suse.de
- libkdeinit -> libkdeinit4
* Fri May 11 2007 stbinner@suse.de
- initial package in abuild
